<?php
/**
* @package phpBB Extension - Font Awesome BBCode
* @copyright (c) 2019 Sniper_E - http://sniper-e.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
	'FONTAWESOME_TITLE'          => 'FA',
	'FONTAWESOME_HELP'           => '<div class="fahelp">[fa]glass[/fa] <i class="icon fa-glass awesome-icon" aria-hidden="true"></i> [fa=45]coffee[/fa] <i class="icon fa-coffee awesome-icon" style="font-size: 45px !important" aria-hidden="true"></i> [fa=red]heart[/fa] <i class="icon fa-heart awesome-icon" style="color: red" aria-hidden="true"></i></div>',
	'FONTAWESOME_ALLOW'          => 'Activate Font Awesome BBCode',
	'FONTAWESOME_ALLOW_EXPLAIN'  => 'Activate/Deactivate Font Awesome BBCode',
	'FONTAWESOME_DENY'           => 'Deactivate Font Awesome BBCode',
	'FONTAWESOME_ACTIVATE'       => 'Activate',
	'FONTAWESOME_DEACTIVATE'     => 'Deactivate',
	'FONTAWESOME_POPUP'          => 'Popup window',
	'FONTAWESOME_VERSION'        => 'Font Awesome 4.7.0',
	'FONTAWESOME_ICONS'          => '585 Awesome Icons',
	'FONTAWESOME_VALUE'          => 'Pagination value',
	'FONTAWESOME_VALUE_EXPLAIN'  => 'Set number of icons on each page. (Use: 585, 293, 195, 147, 117, 98, 84)',
	'FONTAWESOME_COLOR'          => 'Font Awesome icon color',
	'FONTAWESOME_COLOR_EXPLAIN'  => 'Set the color of icons posted in the forums. eg, i.awesome_icon { VALUE }',
	'FONTAWESOME_WIDTH'          => 'Popup window width',
	'FONTAWESOME_WIDTH_EXPLAIN'  => 'Set width of icon popup window. (300 to 1920)px',
	'FONTAWESOME_HEIGHT'         => 'Popup window height',
	'FONTAWESOME_HEIGHT_EXPLAIN' => 'Set height of icon popup window. (300 to 1080)px',
	'FONTAWESOME_PER'            => 'icons per page',
	'FONTAWESOME_PX_WIDTH'       => 'px width',
	'FONTAWESOME_PX_HEIGHT'      => 'px height',
	'FONTAWESOME_SAVED'          => 'Font Awesome BBCode settings saved.',
	'SUBMIT_CHANGES'             => 'Submit changes',
]);
